---
sidebar_position: 3
description: Copy folder and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Copy folder
 Copy one folder to another



`Function MakeFolderCopy(Val URL, Val FolderID, Val DestinationID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | FolderID | --folderid | String, Number | &#x2714; | Folder identifier |
  | DestinationID | --tagetid | String, Number | &#x2714; | ID of target folder |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [disk.folder.copyto](https://dev.1c-bitrix.ru/rest_help/disk/folder/disk_folder_copyto.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    DestinationID = "48404";
    FolderID      = "48406";

    URL = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";

    Result = OPI_Bitrix24.MakeFolderCopy(URL, FolderID, DestinationID);

    DestinationID = "48406";
    FolderID      = "48404";

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 MakeFolderCopy \
             --url "https://b24-ar17wx.bitrix24.by/rest/1/***" \
             --folderid 48460 \
             --tagetid 48458
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 MakeFolderCopy ^
             --url "https://b24-ar17wx.bitrix24.by/rest/1/***" ^
             --folderid 48460 ^
             --tagetid 48458
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": 48462,
  "NAME": "New subfolder",
  "CODE": null,
  "STORAGE_ID": "3",
  "TYPE": "folder",
  "REAL_OBJECT_ID": 48462,
  "PARENT_ID": "48458",
  "DELETED_TYPE": 0,
  "CREATE_TIME": "2025-12-10T19:54:27+00:00",
  "UPDATE_TIME": "2025-12-10T19:54:27+00:00",
  "DELETE_TIME": null,
  "CREATED_BY": "1",
  "UPDATED_BY": "1",
  "DELETED_BY": null,
  "DETAIL_URL": "https://b24-ar17wx.bitrix24.by/docs/path/New catalog/New subfolder 2/New subfolder"
 },
 "time": {
  "start": 1765396467,
  "finish": 1765396467.58591,
  "duration": 0.585906028747559,
  "processing": 0,
  "date_start": "2025-12-10T19:54:27+00:00",
  "date_finish": "2025-12-10T19:54:27+00:00",
  "operating_reset_at": 1765397067,
  "operating": 0
 }
}
```
